Bug 477045 - ypbind hangs at boot time when NetworkManager is turned on
ypbind hangs at boot time when NetworkManager is turned on
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 15:39 EST by Ed Friedman
Modified: 2009-02-13 10:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 10:31:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2008-12-18 15:39:49 EST
Description of problem:
ypbind hangs at boot time when NetworkManager is turned on

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.12.svn4326.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1.Turn on NetworkManager with ntsysv
2.Turn on ypbind with ntsysv
3.Reboot computer
  
Actual results:
ypbind hangs for many minutes during bootup and eventually the computer starts up with ypbind not running

Expected results:
ypbind should start up normally

Additional info:
ypbind starts normally when network is used instead of NetworkManager.  Also, even though NetworkManager and ypbind have S27 for startup, NetworkManager defintely starts up first.  Network has S10 for startup and moving NetworkManager to S10 does not fix this problem.
Comment 1 Kevin Arhelger 2009-02-03 00:21:07 EST
Same issue with nfslock and messagebus.
Network manager starts to late in the boot process.
Comment 2 Dan Williams 2009-02-13 07:13:48 EST
What levels do nfslock and ypbind start at?  They'll need to start somewhat later, or we need to switch to a startup dependency system that can handle this stuff.
Comment 3 Kevin Arhelger 2009-02-13 09:59:12 EST
Chkconfig says nfslock starts at levels 2345.
This box has ldap authentication and an nfs home directory.

I was able to work around by adding network to runlevels 2345 and disabling NetworkManager.
Comment 4 Dan Williams 2009-02-13 10:31:16 EST
Ok; I think we'll simply have to revisit this when our startup process gets more intelligent, and we can actually make stuff like ypbind wait on the network actually coming up.

Note You need to log in before you can comment on or make changes to this bug.